<?php 
//error_reporting(E_ALL);
require_once dirname(__FILE__) . '/../api/sglyzx/sglyzx.php';
$scenery = json_encode(SGLYZX::get_scenery(3361));
?>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no">
<title>景区景点-韶关旅游资讯网</title>
  <meta name="Description" CONTENT="韶关旅游资讯网,韶关旅游,包括韶关旅游攻略、热门景区景点查询、自驾游、一日游、季节特色游、周边游、美食和旅游咨询以及最新旅游资讯等旅游信息,是您了解韶关旅游的首选。" >
  <meta name="keywords" content="韶关旅游，韶关旅游景区，韶关景点，韶关特产，韶关自驾游，韶关旅游攻略，韶关哪里好玩，韶关美食，韶关一日游，韶关旅游景点" >
<!-- 引入样式文件 -->
<link
  rel="stylesheet"
  href="https://cdn.jsdelivr.net/npm/vant@2.12/lib/index.css"
/>
<link rel="stylesheet" href="style/m.css"> 
<link rel="shortcut icon" href="favicon.ico">
<style>
img.van-image__img {
    height: 80px;
}

</style>
</head>
<body>

<div id="app">

</div>
<div class="footer">
	<img src="/2020/img-m/footer.png">
	<div class="nav-bottom">
		<ul>
			<li><a href="/html/about/contactus/">联系我们</a></li>
			<li><a href="#">投诉建议</a></li>
			<li><a href="#">帮助中心</a></li>
		</ul>
	</div> 
	</div>
	<div class="copy-rights">
		<div class="container">
		<div class="copy-rights-main">
			<div class="cpinfo">版权所有 韶关旅游资讯网<br>Copyright 2009-2020 SGLYZX.COM, All Rights Reserved<br><a href="http://www.beian.miit.gov.cn/">粤ICP备14006056号-1</a> <br> <a href="http://www.beian.gov.cn/portal/registerSystemInfo?recordcode=44020402000144"><img style="width:15px;" src="/images/ga.jpg">粤公网安备 44020402000144</a></div>
			<p>
			<span><a target="_blank" href="http://report.12377.cn:13225/toreportinputNormal_anis.do"><img style="height:25px" src="/images/12377.png"></a></span>
			<span><a target="_blank" href="http://www.12377.cn/node_548446.htm"><img style="height:25px" src="/images/12377d.png"></a></span>
			<span><a target="_blank" href="http://jb.ccm.gov.cn/?spm=a21bo.2017.1997523009.54.5af911d91m0WFe"><img style="height:25px" src="/images/12318.png"></a></span>
			</p>
		</div>
		</div>
	</div>
<!-- 引入 Vue 和 Vant 的 JS 文件 -->
<script src="https://cdn.jsdelivr.net/npm/vue@2.6/dist/vue.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/vant@2.12/lib/vant.min.js"></script>
<script src="https://cdn.bootcdn.net/ajax/libs/axios/0.21.1/axios.min.js"></script>
<script>
//Vue.use(vant);
  new Vue({
    el: '#app',
	data: {activeKey: 0,
  items: <?php echo $scenery;?>,
  district: '浈江'
  },
    template: `
<van-row>
<div class="van-nav-bar van-hairline--bottom"><div class="van-nav-bar__content"><div class="van-nav-bar__left" onclick="window.location.href='/'"><i class="van-icon van-icon-arrow-left van-nav-bar__arrow"><!----></i><span class="van-nav-bar__text">返回</span></div><div class="van-nav-bar__title van-ellipsis"></div></div></div>
<van-col span="6">
  <van-sidebar v-model="activeKey" @change="onChange">
    <van-sidebar-item title="浈江" />
    <van-sidebar-item title="武江" />
    <van-sidebar-item title="曲江" />
    <van-sidebar-item title="乐昌" />
    <van-sidebar-item title="南雄" />
    <van-sidebar-item title="始兴" />
    <van-sidebar-item title="仁化" />
    <van-sidebar-item title="翁源" />
    <van-sidebar-item title="新丰" />
    <van-sidebar-item title="乳源" />
  </van-sidebar>
</van-col>
<van-col span="18">
<h1 class="district">{{ district }}</h1>
<van-grid :border="false" :column-num="3">
  <van-grid :column-num="2">
    <van-grid-item v-for="value in items" :key="value.id">
      <a :href="'https://xcx.sglyt.cn/map/item.php?id='+value.id">
       <van-image :src="value.thumb" />
       <span class="van-grid-item__text">{{ value.title }}</span>
       <span class="address"><van-icon name="location-o" /><small v-html="value.scenery_addr.length > 8 ? value.scenery_addr.slice(0, 8) + '...' :value.scenery_addr"></small></span>
       </van-grid-item>
      </a>
  </van-grid>
</van-grid></van-col>
</van-row>
				`,
	methods: {
		onChange(index) {
		  this.district = event.target.innerText;
      var diqu=[3361,3362,3363,3364,3365,3367,3366,3368,3369,3370];
      scenery_diqu = diqu[index];
      var that = this;
      axios
        .get('/api/sglyzx/get.php?scenery='+scenery_diqu)
        .then(function (response) {
          that.items = response.data;
        })
        .catch(function (error) { // 请求失败处理
          console.log(error);
        });
		},
	}
  });

  // 通过 CDN 引入时不会自动注册 Lazyload 组件
  // 可以通过下面的方式手动注册
  Vue.use(vant.Lazyload);
</script>
</body>
</html>